---
title: WebSocket.extensions
slug: Web/API/WebSocket/extensions
tags:
  - API
  - Property
  - Reference
  - Web API
  - WebSocket
---
<p>{{APIRef("Web Sockets API")}}</p>

<p>The <strong><code>WebSocket.extensions</code></strong> read-only property returns the extensions selected by the server. This is currently only the empty string or a list of extensions as negotiated by the connection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>var extensions</em> = aWebSocket.extensions;</pre>

<h2 id="Value">Value</h2>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-websocket-extensions', 'WebSocket: extensions')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WebSocket.extensions")}}</p>
